<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__)
    .' is not allowed.' );

/**
 *
 * @package  MediaLibrary
 * @copyright 2021 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com);
 * Homepage: https://ordasoft.com
 * @version: 4.6 Free
 * @license GNU General Public license version 2 or later; see LICENSE.txt
 *
 */



/**
 * Legacy class, use {@link JToolbarHelper} instead
 *
 * @deprecated    As of version 1.5
 * @package    Joomla.Legacy
 * @subpackage    1.5
 */
$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path'];
require_once($mosConfig_absolute_path."/administrator/components/com_medialibrary/toolbar_ext.php");

jimport('joomla.application.component.view');
if(!class_exists('mosMenuBar_ext')){
class mosMenuBar_ext extends JToolbarHelper_ext

{
    /**
    * @deprecated As of Version 1.5
    */
    static function startTable()
    {
        return;
    }

    /**
    * @deprecated As of Version 1.5
    */
    static function endTable()
    {
        return;
    }

    /**
     * Deprecated
     *
     * @deprecated As of Version 1.5
     */
    function saveedit()
    {
        parent::save('saveedit');
    }

}

}
